; wEventFlags bit flags
	const_def
; The first eight flags are reset upon reloading the map
	const EVENT_TEMPORARY_UNTIL_MAP_RELOAD_1 ; 000
	const EVENT_TEMPORARY_UNTIL_MAP_RELOAD_2
	const EVENT_TEMPORARY_UNTIL_MAP_RELOAD_3
	const EVENT_TEMPORARY_UNTIL_MAP_RELOAD_4
	const EVENT_TEMPORARY_UNTIL_MAP_RELOAD_5
	const EVENT_TEMPORARY_UNTIL_MAP_RELOAD_6
	const EVENT_TEMPORARY_UNTIL_MAP_RELOAD_7
	const EVENT_TEMPORARY_UNTIL_MAP_RELOAD_8

; Story events
	; Camping
	const EVENT_BUGSY_SPEECH_OVER
	const EVENT_KILLED_MAGIKARP
	const EVENT_TEAM_ROCKET_KIDNAP_RED

	; Skidraw
	const EVENT_STARTER_AVAILABLE
	const EVENT_GOT_STARTER
	const EVENT_GOT_POKEDEX
	const EVENT_GOT_MAGIKARP

	; Black pond
	const EVENT_MET_JOSH
	const EVENT_BRIDGE_FIXED
	const EVENT_MET_MOVE_RELEARNER
	const EVENT_BLACKPOND_PRICES_HIGH
	const EVENT_BLACKPOND_PRICES_LOW
	const EVENT_GOT_EXP_SHARE
	const EVENT_GOT_POKEBALL
	const EVENT_GOT_EEVEE
	const EVENT_GOT_EEVITTO

	; Mountain
	const EVENT_FALLEN_SPARKY
	const EVENT_RESCUED_SPARKY
	const EVENT_GOT_SPARKY
	const EVENT_GOT_SCOPE_LENS
	const EVENT_MEWTWO_RETURNED

	; Dawn Town
	const EVENT_GYM_OPEN
	const EVENT_MET_GROUNDKEEPER
	const EVENT_MET_LUMBERJACK
	const EVENT_MET_ENORA
	const EVENT_GOT_TM30_SHADOW_BALL
	const EVENT_GOT_HM01_CUT
	const EVENT_GOT_WOOD_PLANK

; Sprite visibility flags
; When these events are cleared, the sprite becomes visible; when set, the sprite is hidden.
; The map script command macros `disappear` and `appear` set/clear these flags and immediately apply the effect on visibility.
; The map script command macros `setevent` and `clearevent` set/clear these flags, and their effects will be seen when the map is reloaded.
	const EVENT_BLACKPOND_SHOP_WIFE_INSIDE_VISIBLE
	const EVENT_BLACKPOND_SHOP_WIFE_OUTSIDE_VISIBLE
	const EVENT_BLACKPOND_DEALER_VISIBLE
	const EVENT_BLACKPOND_EEVEE_VISIBLE
	const EVENT_BLACKPOND_FISHER_VISIBLE
	const EVENT_BLACKPOND_FAMILY_VISIBLE
	const EVENT_DAWNTOWN_LUMBERJACK_FOREST_VISIBLE
	const EVENT_DAWNTOWN_LUMBERJACK_CONTAINER_VISIBLE
	const EVENT_DAWNTOWN_ENORA_INSIDE_VISIBLE
	const EVENT_DAWNTOWN_ENORA_OUTSIDE_VISIBLE
	const EVENT_DAWNTOWN_GROUNDKEEPER_VISIBLE
	const EVENT_MOUNTAIN_HERD_VISIBLE
	const EVENT_MOUNTAIN_HIKER_VISIBLE
	const EVENT_SPARKLE_RANCH_HERD_VISIBLE
	const EVENT_GYM_BUGSY_VISIBLE
	const EVENT_MEWTWO_VISIBLE
	const EVENT_MOUNTAIN_PLAYERM_CUTSCENE_VISIBLE
	const EVENT_MOUNTAIN_PLAYERF_CUTSCENE_VISIBLE

; Rods
; itemballs
	const EVENT_ROUTE1_POKE_BALL
	const EVENT_ROUTE2_RARE_CANDY
	const EVENT_ROUTE3_GOLD_BERRY
	const EVENT_ROUTE3_ESCAPE_ROPE
	const EVENT_ROUTE3_FULL_RESTORE
	const EVENT_ROUTE6_TM26_EARTHQUAKE
	const EVENT_ROUTE6_REVIVE
	const EVENT_ROUTE6_FULL_HEAL
	const EVENT_DAWNTOWN_FOREST_TM06_TOXIC
	const EVENT_DAWNTOWN_FOREST_MIRACLE_BERRY
	const EVENT_DAWNTOWN_CAVE_ESCAPE_ROPE
	const EVENT_DAWNTOWN_CAVE_FRESH_WATER
	const EVENT_DAWNTOWN_CAVE_POKE_BALL
	const EVENT_DAWNTOWN_GRAVEYARD_ETHER
	const EVENT_DAWNTOWN_GRAVEYARD_REVIVE
	const EVENT_DAWNTOWN_GRAVEYARD_SACRED_ASH
	const EVENT_DAWNTOWN_GRAVEYARD_FLASHLIGH
	const EVENT_SPARKLE_RANCH_MILK
	const EVENT_MOUNTAIN_TM28_DIG
	const EVENT_MOUNTAIN_FULL_RESTORE
	const EVENT_MOUNTAIN_ESCAPE_ROPE
	const EVENT_MOUNTAIN_PP_UP
	const EVENT_MOUNTAIN_REVIVAL_HERB
	const EVENT_MOUNTAIN_REVIVE
	const EVENT_MOUNTAIN_MUSHROOM
	const EVENT_MOUNTAIN_BIG_MUSHROOM
	const EVENT_MOUNTAIN_MILK

; hidden items

; Trainers
	; Swimmer F
	; Bird Keeper
	; Boarder
	; Sage
	; Camper
	; Bandit
	const EVENT_BEAT_ROUTE2_BANDIT_TIK
	const EVENT_BEAT_ROUTE2_BANDIT_TOK
	; Unknown
	; Biker
	; Psychic
	const EVENT_BEAT_MARCEL
	; Firebreather
	; Fisher
	; Twins
	; Schoolboy
	; Picnicker
	const EVENT_BEAT_JENA
	; Guitarist
	; Juggler
	; Gentleman
	; Scientist
	const EVENT_BEAT_ROMUALD
	; Blackbelt
	; Beauty
	const EVENT_BEAT_CLARA
	; PokefanM
	; PokefanF
	; Kimono Girl
        const EVENT_BEAT_SORAYA
        const EVENT_BEAT_ARIANA
	; Pokemaniac
        const EVENT_BEAT_ERIK
	; GruntM
	const EVENT_BEAT_MOE
	; GruntF
	const EVENT_BEAT_BLAKE
	const EVENT_BEAT_GYM_GRUNT1
	const EVENT_BEAT_GYM_GRUNT2
	const EVENT_BEAT_GYM_GRUNT3
	const EVENT_BEAT_GYM_GRUNT4
	const EVENT_BEAT_GYM_GRUNT5
	const EVENT_BEAT_GYM_GRUNT6
	; Lass
	; Hiker
	; Bug Catcher
	; Officer
	; CooltrainerM
	const EVENT_BEAT_KENNY
	; CooltrainerF
	const EVENT_BEAT_ARIA
	; ExecutiveF
	; ExecutiveM
	; Sailor
	; Super Nerd
	; Medium
	; Skier
	; SwimmerM
	; Youngster
	const EVENT_BEAT_TIMMY
	; Teacher
	; Soldier
        const EVENT_BEAT_RODNEY
        const EVENT_BEAT_ALAIN
	; Leaders
	const EVENT_BEAT_AZMOV
	; Wild Mons
	const EVENT_BEAT_GENGAR


; Decorations
	const EVENT_DECO_BED_1
	const EVENT_DECO_BED_2
	const EVENT_DECO_BED_3
	const EVENT_DECO_BED_4
	const EVENT_DECO_CARPET_1
	const EVENT_DECO_CARPET_2
	const EVENT_DECO_CARPET_3
	const EVENT_DECO_CARPET_4
	const EVENT_DECO_PLANT_1
	const EVENT_DECO_PLANT_2
	const EVENT_DECO_PLANT_3
	const EVENT_DECO_PLANT_4
	const EVENT_DECO_POSTER_1 ; 2b0
	const EVENT_DECO_POSTER_2
	const EVENT_DECO_POSTER_3
	const EVENT_DECO_FAMICOM
	const EVENT_DECO_SNES
	const EVENT_DECO_N64
	const EVENT_DECO_VIRTUAL_BOY
	const EVENT_DECO_PIKACHU_DOLL
	const EVENT_DECO_SURFING_PIKACHU_DOLL
	const EVENT_DECO_CLEFAIRY_DOLL
	const EVENT_DECO_JIGGLYPUFF_DOLL
	const EVENT_DECO_BULBASAUR_DOLL
	const EVENT_DECO_CHARMANDER_DOLL
	const EVENT_DECO_SQUIRTLE_DOLL
	const EVENT_DECO_POLIWAG_DOLL
	const EVENT_DECO_DIGLETT_DOLL
	const EVENT_DECO_STARMIE_DOLL ; 2c0
	const EVENT_DECO_MAGIKARP_DOLL
	const EVENT_DECO_ODDISH_DOLL
	const EVENT_DECO_GENGAR_DOLL
	const EVENT_DECO_SHELLDER_DOLL
	const EVENT_DECO_GRIMER_DOLL
	const EVENT_DECO_VOLTORB_DOLL
	const EVENT_DECO_WEEDLE_DOLL
	const EVENT_DECO_UNOWN_DOLL
	const EVENT_DECO_GEODUDE_DOLL
	const EVENT_DECO_MACHOP_DOLL
	const EVENT_DECO_TENTACOOL_DOLL
	const EVENT_PLAYERS_ROOM_POSTER
	const EVENT_DECO_GOLD_TROPHY
	const EVENT_DECO_SILVER_TROPHY
	const EVENT_DECO_BIG_SNORLAX_DOLL
	const EVENT_DECO_BIG_ONIX_DOLL ; 2d0
	const EVENT_DECO_BIG_LAPRAS_DOLL
	const EVENT_PLAYERS_HOUSE_2F_CONSOLE
	const EVENT_PLAYERS_HOUSE_2F_DOLL_1
	const EVENT_PLAYERS_HOUSE_2F_DOLL_2
	const EVENT_PLAYERS_HOUSE_2F_BIG_DOLL
; More Dakos story events
	const EVENT_WALL_OPENED_IN_HO_OH_CHAMBER
	const EVENT_WALL_OPENED_IN_OMANYTE_CHAMBER
	const EVENT_BOULDER_IN_ICE_PATH_1
	const EVENT_BOULDER_IN_ICE_PATH_2
	const EVENT_BOULDER_IN_ICE_PATH_3
	const EVENT_BOULDER_IN_ICE_PATH_4
	const EVENT_WELCOMED_TO_POKECOM_CENTER
NUM_EVENTS EQU const_value ; 7d0
