newgroup: MACRO
const_value = const_value + 1
	enum_start 1
ENDM

map_const: MACRO
;\1: map id
;\2: width: in blocks
;\3: height: in blocks
GROUP_\1 EQU const_value
	enum MAP_\1
\1_WIDTH EQU \2
\1_HEIGHT EQU \3
ENDM

; map group ids
; `newgroup` indexes are for:
; - MapGroupPointers (see data/maps/maps.asm)
; - MapGroupRoofs (see data/maps/roofs.asm)
; - OutdoorSprites (see data/maps/outdoor_sprites.asm)
; - RoofPals (see gfx/tilesets/roofs.pal)
; `map_const` indexes are for the sub-tables of MapGroupPointers (see data/maps/maps.asm)
; Each map also has associated data:
; - attributes (see data/maps/attributes.asm)
; - blocks (see data/maps/blocks.asm)
; - scripts and events (see data/maps/scripts.asm)
	const_def

	newgroup
	map_const SKIDRAW_CAMP, 16, 10
	map_const SKIDRAW_CHIEF_HOUSE, 5, 4
	map_const HIKERS_HOUSE, 3, 5
	map_const MICKEYS_HOUSE, 5, 4
	map_const MICKEYS_CAVE, 5, 8
	map_const ROUTE_1, 9, 16
	map_const ROUTE_2, 12, 8

	newgroup
	map_const BLACK_POND_GATE, 5, 4
	map_const BLACK_POND_CREEK, 16, 12
	map_const BLACK_POND_NURSERY, 2, 3
	map_const BLACK_POND_SHOP, 2, 3
	map_const BLACK_POND_CONTAINER, 3, 5
	map_const BLACK_POND_FISHER_HOUSE, 5, 4
	map_const ROUTE_6, 18, 10
	map_const SPARKLE_RANCH, 13, 9
	map_const SPARKLE_RANCH_HOUSE, 5, 4

	newgroup
	map_const MOUNTAIN_TUNNEL, 5, 7
	map_const MOUNTAIN_PASTURE, 15, 15
	map_const MOUNTAIN_GATE1, 4, 4
	map_const MOUNTAIN_GATE2, 4, 4
	map_const MOUNTAIN_GATE3, 4, 4
	map_const MOUNTAIN_CAVE_0F, 10, 18
	map_const MOUNTAIN_CAVE_1F, 12, 12
	map_const MOUNTAIN_CAVE_2F, 16, 9

	newgroup
	map_const ROUTE_3, 7, 17
	map_const DAWN_TOWN_FOREST, 7, 5
	map_const DAWN_TOWN_CAMP, 10, 8
	map_const DAWN_TOWN_CAMP_SHOP, 5, 4
	map_const DAWN_TOWN, 20, 18
	map_const DAWN_TOWN_LUMBERJACK_HOUSE, 3, 5
	map_const DAWN_TOWN_GROUNDKEEPER_HOUSE, 3, 3
	map_const DAWN_TOWN_SHOP, 2, 3
	map_const DAWN_TOWN_CHIEF_HOUSE, 5, 4
	map_const DAWN_TOWN_POKECENTER, 5, 4
	map_const DAWN_TOWN_GYM, 10, 7
	map_const DAWN_TOWN_GYM_B1F, 7, 4
	map_const DAWN_TOWN_GRAVEYARD, 18, 9
	map_const DAWN_TOWN_CAVE_GATE, 6, 6
	map_const DAWN_TOWN_CAVE_0F, 7, 10
	map_const DAWN_TOWN_CAVE_1F, 20, 9
	map_const DAWN_TOWN_CAVE_ROOM, 4, 3
	map_const DAWN_TOWN_GATE, 5, 4

	newgroup
	map_const ROUTE_4, 18, 10
	map_const ROUTE_5, 10, 27


; vaast
	newgroup
	map_const CAMPING_CAMPFIRE, 8, 8
	map_const CAMPING_PEEBUSH, 6, 6
