map: MACRO
;\1: map name: for the MapAttributes pointer (see data/maps/attributes.asm)
;\2: tileset: a TILESET_* constant
;\3: environment: TOWN, ROUTE, INDOOR, CAVE, ENVIRONMENT_5, GATE, or DUNGEON
;\4: location: from constants/landmark_constants.asm
;\5: music: a MUSIC_* constant
;\6: time of day: a PALETTE_* constant
;\7: fishing group: a FISHGROUP_* constant
	db BANK(\1_MapAttributes), \2, \3
	dw \1_MapAttributes
	db \4, \5, \6, \7
ENDM

MapGroupPointers::
; pointers to the first map of each map group
	dw MapGroup_Skidraw
	dw MapGroup_BlackPond
	dw MapGroup_Mountains
	dw MapGroup_DawnTown
	dw MapGroup_ScorchLand
	dw MapGroup_Camping

MapGroup_Skidraw:
	map SkidrawCamp, TILESET_DAKOS, TOWN, SKIDRAW_CAMP, MUSIC_LAVENDER_TOWN, PALETTE_AUTO, FISHGROUP_NONE
	map SkidrawChiefHouse, TILESET_HOUSE, INDOOR, SKIDRAW_CAMP, MUSIC_LAVENDER_TOWN, PALETTE_DAY, FISHGROUP_NONE
	map HikersHouse, TILESET_HOUSE, INDOOR, SKIDRAW_CAMP, MUSIC_LAVENDER_TOWN, PALETTE_DAY, FISHGROUP_NONE
	map MickeysHouse, TILESET_PLAYERS_ROOM, INDOOR, SKIDRAW_CAMP, MUSIC_PROF_OAK, PALETTE_DAY, FISHGROUP_NONE
	map MickeysCave, TILESET_POKECOM_CENTER, INDOOR, SKIDRAW_CAMP, MUSIC_PROF_OAK, PALETTE_DAY, FISHGROUP_NONE
	map Route1, TILESET_DAKOS, ROUTE, ROUTE_1, MUSIC_TIN_TOWER, PALETTE_AUTO, FISHGROUP_POND
	map Route2, TILESET_DAKOS, ROUTE, ROUTE_2, MUSIC_TIN_TOWER, PALETTE_AUTO, FISHGROUP_POND

MapGroup_BlackPond:
	map BlackPondGate, TILESET_GATE, GATE, BLACK_POND_CREEK, MUSIC_BURNED_TOWER, PALETTE_AUTO, FISHGROUP_NONE
	map BlackPondCreek, TILESET_DAKOS, TOWN, BLACK_POND_CREEK, MUSIC_BURNED_TOWER, PALETTE_AUTO, FISHGROUP_SHORE
	map BlackPondNursery, TILESET_POKECENTER, INDOOR, BLACK_POND_CREEK, MUSIC_POKEMON_CENTER, PALETTE_DAY, FISHGROUP_NONE
	map BlackPondShop, TILESET_MART, INDOOR, BLACK_POND_CREEK, MUSIC_BURNED_TOWER, PALETTE_DAY, FISHGROUP_NONE
	map BlackPondContainer, TILESET_HOUSE, INDOOR, BLACK_POND_CREEK, MUSIC_BURNED_TOWER, PALETTE_DAY, FISHGROUP_NONE
	map BlackPondFisherHouse, TILESET_HOUSE, INDOOR, BLACK_POND_CREEK, MUSIC_BURNED_TOWER, PALETTE_DAY, FISHGROUP_NONE
	map Route6, TILESET_DAKOS, ROUTE, ROUTE_6, MUSIC_INDIGO_PLATEAU, PALETTE_AUTO, FISHGROUP_SHORE
	map SparkleRanch, TILESET_DAKOS, TOWN, SPARKLE_RANCH, MUSIC_GOLDENROD_CITY, PALETTE_AUTO, FISHGROUP_NONE
	map SparkleRanchHouse, TILESET_HOUSE, INDOOR, SPARKLE_RANCH, MUSIC_GOLDENROD_CITY, PALETTE_DAY, FISHGROUP_NONE

MapGroup_Mountains:
	map MountainTunnel, TILESET_CAVE, GATE, SPARKLE_RANCH, MUSIC_DARK_CAVE, PALETTE_NITE, FISHGROUP_NONE
	map MountainPasture, TILESET_MOUNTAIN, TOWN, MOUNTAIN_PASTURE, MUSIC_MT_MOON, PALETTE_AUTO, FISHGROUP_NONE
	map MountainGate1, TILESET_CAVE, GATE, MOUNTAIN_PASTURE, MUSIC_MT_MOON, PALETTE_NITE, FISHGROUP_NONE
	map MountainGate2, TILESET_CAVE, GATE, MOUNTAIN_PASTURE, MUSIC_MT_MOON, PALETTE_NITE, FISHGROUP_NONE
	map MountainGate3, TILESET_CAVE, GATE, MOUNTAIN_PASTURE, MUSIC_MT_MOON, PALETTE_NITE, FISHGROUP_NONE
	map MountainCave0F, TILESET_DARK_CAVE, CAVE, MOUNTAIN_CAVE, MUSIC_DARK_CAVE, PALETTE_NITE, FISHGROUP_RIVER
	map MountainCave1F, TILESET_DARK_CAVE, CAVE, MOUNTAIN_CAVE, MUSIC_DARK_CAVE, PALETTE_NITE, FISHGROUP_RIVER
	map MountainCave2F, TILESET_DARK_CAVE, CAVE, MOUNTAIN_CAVE, MUSIC_DARK_CAVE, PALETTE_NITE, FISHGROUP_RIVER

MapGroup_DawnTown:
	map Route3, TILESET_DAKOS, ROUTE, ROUTE_3, MUSIC_TIN_TOWER, PALETTE_AUTO, FISHGROUP_POND
	map DawnTownForest, TILESET_DAKOS, CAVE, ROUTE_3, MUSIC_LAKE_OF_RAGE, PALETTE_NITE, FISHGROUP_NONE
	map DawnTownCamp, TILESET_DAKOS, TOWN, DAWN_TOWN, MUSIC_ROCKET_HIDEOUT, PALETTE_AUTO, FISHGROUP_NONE
	map DawnTownCampShop, TILESET_TRADITIONAL_HOUSE, INDOOR, DAWN_TOWN, MUSIC_ROCKET_HIDEOUT, PALETTE_DAY, FISHGROUP_NONE
	map DawnTown, TILESET_DAKOS, TOWN, DAWN_TOWN, MUSIC_ROCKET_HIDEOUT, PALETTE_AUTO, FISHGROUP_NONE
	map DawnTownLumberjackHouse, TILESET_HOUSE, INDOOR, DAWN_TOWN, MUSIC_ROCKET_HIDEOUT, PALETTE_DAY, FISHGROUP_NONE
	map DawnTownGroundkeeperHouse, TILESET_HOUSE, INDOOR, DAWN_TOWN, MUSIC_ROCKET_HIDEOUT, PALETTE_DAY, FISHGROUP_NONE
	map DawnTownShop, TILESET_MART, INDOOR, DAWN_TOWN, MUSIC_ROCKET_HIDEOUT, PALETTE_DAY, FISHGROUP_NONE
	map DawnTownChiefHouse, TILESET_HOUSE, INDOOR, DAWN_TOWN, MUSIC_ROCKET_HIDEOUT, PALETTE_DAY, FISHGROUP_NONE
	map DawnTownPokecenter, TILESET_POKECENTER, INDOOR, DAWN_TOWN, MUSIC_POKEMON_CENTER, PALETTE_DAY, FISHGROUP_NONE
	map DawnTownGym, TILESET_UNDERGROUND, INDOOR, DAWN_TOWN, MUSIC_GYM, PALETTE_DAY, FISHGROUP_NONE
	map DawnTownGymB1F, TILESET_UNDERGROUND, INDOOR, DAWN_TOWN, MUSIC_GYM, PALETTE_DAY, FISHGROUP_NONE
	map DawnTownGraveyard, TILESET_DAKOS, TOWN, GRAVEYARD, MUSIC_SPROUT_TOWER, PALETTE_AUTO, FISHGROUP_NONE
	map DawnTownCaveGate, TILESET_CAVE, CAVE, DAWN_TOWN, MUSIC_UNION_CAVE, PALETTE_DARK, FISHGROUP_NONE
	map DawnTownCave0F, TILESET_CAVE, CAVE, DAWN_TOWN, MUSIC_UNION_CAVE, PALETTE_NITE, FISHGROUP_RIVER
	map DawnTownCave1F, TILESET_CAVE, CAVE, DAWN_TOWN, MUSIC_UNION_CAVE, PALETTE_DARK, FISHGROUP_RIVER
	map DawnTownCaveRoom, TILESET_LIGHTHOUSE, INDOOR, DAWN_TOWN, MUSIC_RUINS_OF_ALPH_INTERIOR, PALETTE_DAY, FISHGROUP_NONE
	map DawnTownGate, TILESET_GATE, GATE, DAWN_TOWN, MUSIC_NONE, PALETTE_AUTO, FISHGROUP_NONE

MapGroup_ScorchLand:
	map Route4, TILESET_DAKOS, ROUTE, DAWN_TOWN, MUSIC_NONE, PALETTE_AUTO, FISHGROUP_POND
	map Route5, TILESET_DAKOS, ROUTE, DAWN_TOWN, MUSIC_NONE, PALETTE_AUTO, FISHGROUP_POND

MapGroup_Camping:
	map CampingCampfire, TILESET_FOREST, CAVE, CAMPING, MUSIC_POKEMON_LULLABY, PALETTE_NITE, FISHGROUP_NONE
	map CampingPeebush, TILESET_FOREST, CAVE, CAMPING, MUSIC_ROCKET_OVERTURE, PALETTE_NITE, FISHGROUP_NONE
