	const_def 2 ; object constants
	const BLACK_POND_MASTER_FISHER
	const BLACK_POND_MASTER_FISHER_WIFE
	const BLACK_POND_MASTER_FISHER_SON

BlackPondFisherHouse_MapScripts:
	db 0 ; scene scripts
	db 1 ; callbacks
	callback MAPCALLBACK_OBJECTS, .HideFamily

; Hide fisher's wife and son unless the bridge has been fixed
.HideFamily:
	checkevent EVENT_BRIDGE_FIXED
	iftrue .ShowFamily
	disappear BLACK_POND_MASTER_FISHER_WIFE
	disappear BLACK_POND_MASTER_FISHER_SON
	return
.ShowFamily:
	appear BLACK_POND_MASTER_FISHER
	appear BLACK_POND_MASTER_FISHER_WIFE
	appear BLACK_POND_MASTER_FISHER_SON
	return

BlackPondMasterFisher:
	faceplayer BLACK_POND_MASTER_FISHER
	checkevent EVENT_BRIDGE_FIXED
	iftrue .Thankyou
	checkitem WOOD_PLANK
	iftrue BlackPondRepairBridge
	opentext
	writetext .HelpText
	waitbutton
	closetext
	turnobject BLACK_POND_MASTER_FISHER, DOWN
	end

.HelpText:
	text "My wife and son"
	line "are stuck on the"
	cont "other side of the"
	cont "bridge."
	para "If only I had some"
	line "wood to repair it!"
	done

.Thankyou:
	opentext
	writetext .ThankyouText
	waitbutton
	closetext
	turnobject BLACK_POND_MASTER_FISHER, LEFT
	end

.ThankyouText:
	text "Thank you so much!"
	para "Now we are a"
	line "family again, and"
	cont "nothing could tear"
	cont "us apart!"
	done

BlackPondRepairBridge:
	opentext
	writetext .AskWoodText
	yesorno
	iffalse .Skip
	takeitem WOOD_PLANK
	opentext
	writetext .RepairText
	waitbutton
	closetext
	special FadeBlackQuickly
	special ReloadSpritesNoPalettes
	closetext
	pause 80
	disappear BLACK_POND_MASTER_FISHER
	special FadeInQuickly
	setscene SCENE_BLACK_POND_FISHER_HOUSE_FAMILY_BACK
	end

.Skip:
	writetext .SkipText
	waitbutton
	closetext
	turnobject BLACK_POND_MASTER_FISHER, LEFT
	end

.GoFixBridge:
	step RIGHT
	rept 4
		step DOWN
		endr
	step_end

.AskWoodText:
	text "Hey! Did you find"
	line "something useful"
	cont "for the bridge?"
	done

.RepairText:
	text "Holy cow, thanks!"
	para "W-Wait just a bit"
	line "I'll be back in a"
	cont "few minutes!"
	done

.SkipText:
	text "Ah, too bad!"
	done

BlackPondFamilyReturns:
.left:
	moveobject BLACK_POND_MASTER_FISHER, 4, 7
	scall .FisherBackScene
	applymovement PLAYER, .PlayerStepRight
	jump .skip

.right:
	moveobject BLACK_POND_MASTER_FISHER, 5, 7
	scall .FisherBackScene
	applymovement BLACK_POND_MASTER_FISHER, .FisherStepLeft

.skip:
	applymovement BLACK_POND_MASTER_FISHER, .FisherComeBack
	moveobject BLACK_POND_MASTER_FISHER_WIFE, 4, 7
	moveobject BLACK_POND_MASTER_FISHER_SON, 4, 7
	appear BLACK_POND_MASTER_FISHER_WIFE
	appear BLACK_POND_MASTER_FISHER_SON
	applymovement BLACK_POND_MASTER_FISHER_WIFE, .WifeStepUp
	opentext
	writetext .WifeText
	waitbutton
	closetext
	follow BLACK_POND_MASTER_FISHER_WIFE, BLACK_POND_MASTER_FISHER_SON
	applymovement BLACK_POND_MASTER_FISHER_WIFE, .WifeComeBack
	stopfollow
	setevent EVENT_BRIDGE_FIXED
	setscene SCENE_BLACK_POND_FISHER_HOUSE_NOTHING
	end

.FisherBackScene:
	applymovement PLAYER, .PlayerStepUp
	appear BLACK_POND_MASTER_FISHER
	faceplayer BLACK_POND_MASTER_FISHER
	showemote EMOTE_SHOCK, PLAYER, 15
	opentext
	writetext .FisherText
	waitbutton
	verbosegiveitem OLD_ROD
	writetext .GoodRodText
	closetext
	end

.FisherText:
	text "The bridge is back"
	line "up, and my family"
	cont "managed to cross"
	cont "over! This is all"
	cont "thanks to you!"
	para "Please take this!"
	done
.GoodRodText:
	text "This is my best"
	line "rod."
	para "Use it for fishing"
	line "water #MONs!"
	done

.WifeText:
	text "So you're the kind"
	line "person that helped"
	cont "us cross over?"
	para "Thank you!"
	para "I might be able to"
	line "help your #MONs"
	cont "be stronger."
	para "That's the least I"
	line "can do!"
	done

.PlayerStepUp:
	turn_head DOWN
	fix_facing
	step UP
	remove_fixed_facing
	step_end

.PlayerStepRight:
	step RIGHT
	turn_head LEFT
	step_end

.FisherStepLeft:
	step LEFT
	step_end

.WifeStepUp:
	step UP
	turn_head RIGHT
	step_end

.FisherComeBack:
	rept 4
		step UP
		endr
	step LEFT
	step_end

.WifeComeBack:
	rept 3
		step LEFT
		endr
	step UP
	step UP
	step_end

BlackPondMasterFisherWife:
	faceplayer BLACK_POND_MASTER_FISHER_WIFE
	opentext
	checkevent EVENT_MET_MOVE_RELEARNER
	iftrue .skip
	writetext .Text
	waitbutton
	setevent EVENT_MET_MOVE_RELEARNER
.skip:
	special MoveRelearner
	closetext
	turnobject BLACK_POND_MASTER_FISHER_WIFE, RIGHT
	end

.Text:
	text "Thanks again for"
	line "reuniting us!"
	para "As I said, I can"
	line "help your #MON"
	para "remember moves"
	line "they forgot."
	done

BlackPondMasterFisherSon:
	jumptextfaceplayer .Text
	end

.Text:
	text "My mom can help"
	line "your #MON use"
	cont "moves they have"
	cont "forgotten."
	para "You should talk to"
	line "her!"
	done

BlackPondFisherHouse_MapEvents:
	db -1, 0 ; filler

	db 2 ; warp events
	warp_event 4, 7, BLACK_POND_CREEK, 6
	warp_event 5, 7, BLACK_POND_CREEK, 6

	db 2 ; coord events
	coord_event 4, 7, SCENE_BLACK_POND_FISHER_HOUSE_FAMILY_BACK, BlackPondFamilyReturns.left
	coord_event 5, 7, SCENE_BLACK_POND_FISHER_HOUSE_FAMILY_BACK, BlackPondFamilyReturns.right

	db 0 ; bg events

	db 3 ; object events
	object_event 3, 3, SPRITE_FISHING_GURU, SPRITEMOVEDATA_STANDING_DOWN, 0, 0, -1, -1, PAL_NPC_BLUE, OBJECTTYPE_SCRIPT, 0, BlackPondMasterFisher, EVENT_BLACKPOND_FISHER_VISIBLE
	object_event 1, 4, SPRITE_POKEFAN_F, SPRITEMOVEDATA_STANDING_RIGHT, 0, 0, -1, -1, PAL_NPC_GREEN, OBJECTTYPE_SCRIPT, 0, BlackPondMasterFisherWife, EVENT_BLACKPOND_FAMILY_VISIBLE
	object_event 5, 3, SPRITE_BUG_CATCHER, SPRITEMOVEDATA_WANDER, 1, 1, -1, -1, PAL_NPC_BLUE, OBJECTTYPE_SCRIPT, 0, BlackPondMasterFisherSon, EVENT_BLACKPOND_FAMILY_VISIBLE
