	const_def 2 ; object constants
	const DAWN_TOWN_GRUNT_1
	const DAWN_TOWN_GRUNT_2
	const DAWN_TOWN_ENORA_OUTSIDE
	const DAWN_TOWN_NPC1
	const DAWN_TOWN_NPC2
	const DAWN_TOWN_NPC3
	const DAWN_TOWN_NPC4

DawnTown_MapScripts:
	db 0 ; scene scripts
	db 2 ; callbacks
	callback MAPCALLBACK_NEWMAP, .FlyPoint
	callback MAPCALLBACK_OBJECTS, .InitializeObjects

.FlyPoint:
	setflag ENGINE_FLYPOINT_DAWNTOWN
	return

.InitializeObjects:
	checkevent EVENT_BEAT_AZMOV
	iftrue .skip
	checkevent EVENT_GYM_OPEN
	iftrue .DistractGrunt
.skip:
	return

.DistractGrunt:
	appear DAWN_TOWN_ENORA_OUTSIDE
	appear DAWN_TOWN_GRUNT_2
	return

DawnTown_Grunt_Block:
	jumptextfaceplayer .BlockText
	turnobject DAWN_TOWN_GRUNT_1, DOWN
	end
.BlockText:
	text "Nobody is allowed"
	line "to enter before"
	cont "the beginning of"
	cont "the show."
	para "Get out!"
	done

DawnTown_Grunt_Distracted:
	jumptextfaceplayer .DistractText
	turnobject DAWN_TOWN_GRUNT_2, RIGHT
	end
.DistractText:
	text "Don't you see I'm"
	line "talking with this"
	cont "cutie?!"
	para "Leave us alone!"
	done

DawnTown_Daughter_Advice:
	faceplayer
	opentext
	writetext .Text
	waitbutton
	closetext
	turnobject DAWN_TOWN_ENORA_OUTSIDE, LEFT
	end
.Text:
	text "Be very careful"
	line "inside!"
	para "Your only way to"
	line "get out of here"
	cont "alive is to defeat"
	cont "everyone."
	done

DawnTown_NPC1_Script:
	checkevent EVENT_MEWTWO_RETURNED
	iftrue .bonus
	jumptextfaceplayer .Text
	end
.bonus:
	jumptextfaceplayer .BonusText
	end
.Text:
	text "If your friend was"
	line "kidnapped by the"
	cont "Rocket gang, you"
	cont "should report that"
	cont "at the chief tent."
	done
.BonusText:
	text "The team Rocket"
	line "may be gone, but"
	cont "so are all the"
	cont "people that died"
	cont "in their arena…"
	para "Let's never forget"
	line "them!"
	done

DawnTown_NPC2_Script:
	checkevent EVENT_MEWTWO_RETURNED
	iftrue .bonus
	jumptextfaceplayer .Text
	end
.bonus
	jumptextfaceplayer .BonusText
	end
	
.Text:
	text "I miss my brother."
	para "But I know that he"
	line "is fine."
	para "I can feel it!"
	done
.BonusText:
	text "I'm so glad to see"
	line "my brother back!"
	para "He must have felt"
	line "so lonely in that"
	cont "cave…"
	done

DawnTown_NPC3_Script:
	checkevent EVENT_MEWTWO_RETURNED
	iftrue .bonus
	jumptextfaceplayer .Text
	end
.bonus
	jumptextfaceplayer .BonusText
	end
.Text:
	text "If my #MON was"
	line "stronger, I would"
	cont "kick these guys"
	cont "out of the gym!"
	done
.BonusText:
	text "Ah! They left just"
	line "when I was about"
	cont "to challenge them!"
	para "Thanks for kicking"
	line "them out, but I"
	cont "could've done it"
	cont "myself…"
	done

DawnTown_NPC4_Script:
	checkevent EVENT_MEWTWO_RETURNED
	iftrue .bonus
	checkevent EVENT_MET_LUMBERJACK
	iftrue .LumberjackBack
	jumptextfaceplayer .HintLumberjackText
	end
.bonus:
	jumptextfaceplayer .BonusText
	end
.LumberjackBack:
	jumptextfaceplayer .HintMainQuestText
	end
.HintLumberjackText:
	text "Your friend is not"
	line "the only person"
	cont "missing."
	para "The lumberjack too"
	line "has not been seen"
	cont "for quite some"
	cont "time now!"
	para "He used to chop"
	line "wood in the forest"
	cont "near Route 3."
	done
.HintMainQuestText:
	text "Glad to see our"
	line "lumberjack back!"
	para "I was afraid the"
	line "team Rocket would"
	cont "have kidnapped him"
	cont "for one of their"
	cont "showcase match…"
	para "I've heard they"
	line "force #MONs to"
	cont "do horrible things"
	cont "in there…"
	done
.BonusText:
	text "Team Rocket's gone"
	line "and you saved your"
	cont "friend."
	para "Everything's good"
	line "but what will you"
	cont "do now?"
	done

DawnTown_MapEvents:
	db 0, 0 ; filler

	db 7 ; warp events
	warp_event 30, 15, DAWN_TOWN_CAVE_GATE, 1
	warp_event 25,  7, DAWN_TOWN_LUMBERJACK_HOUSE, 1
	warp_event 15, 19, DAWN_TOWN_GROUNDKEEPER_HOUSE, 1
	warp_event 35, 15, DAWN_TOWN_SHOP, 1
	warp_event 16, 27, DAWN_TOWN_CHIEF_HOUSE, 1
	warp_event 25, 15, DAWN_TOWN_POKECENTER, 1
	warp_event 26, 23, DAWN_TOWN_GYM, 1

	db 0 ; coord events
	db 0 ; bg events
	db 7 ; object events
	object_event 26, 24, SPRITE_ROCKET, SPRITEMOVEDATA_STANDING_DOWN, 0, 0, -1, -1, 0, OBJECTTYPE_SCRIPT, 0, DawnTown_Grunt_Block, EVENT_GYM_OPEN
	object_event 24, 24, SPRITE_ROCKET, SPRITEMOVEDATA_STANDING_RIGHT, 0, 0, -1, -1, 0, OBJECTTYPE_SCRIPT, 0, DawnTown_Grunt_Distracted, EVENT_DAWNTOWN_ENORA_OUTSIDE_VISIBLE
	object_event 25, 24, SPRITE_DAISY, SPRITEMOVEDATA_STANDING_LEFT, 0, 0, -1, -1, PAL_NPC_BLUE, OBJECTTYPE_SCRIPT, 0, DawnTown_Daughter_Advice, EVENT_DAWNTOWN_ENORA_OUTSIDE_VISIBLE
	object_event 16, 11, SPRITE_YOUNGSTER, SPRITEMOVEDATA_WALK_LEFT_RIGHT, 3, 3, -1, -1, PAL_NPC_GREEN, OBJECTTYPE_SCRIPT, 0, DawnTown_NPC1_Script, -1
	object_event 13, 20, SPRITE_BUG_CATCHER, SPRITEMOVEDATA_SPINRANDOM_SLOW, 0, 0, -1, -1, PAL_NPC_BROWN, OBJECTTYPE_SCRIPT, 0, DawnTown_NPC2_Script, -1
	object_event 25, 28, SPRITE_YOUNGSTER, SPRITEMOVEDATA_WALK_UP_DOWN, 2, 2, -1, -1, 0, OBJECTTYPE_SCRIPT, PAL_NPC_RED, DawnTown_NPC3_Script, -1
	object_event 10, 32, SPRITE_FISHER, SPRITEMOVEDATA_WANDER, 3, 3, -1, -1, 0, OBJECTTYPE_SCRIPT, PAL_NPC_BLUE, DawnTown_NPC4_Script, -1
