	const_def 2 ; object constants
	const DAWN_TOWN_GRAVEYARD_ROCKET1
	const DAWN_TOWN_GRAVEYARD_ROCKET2
	const DAWN_TOWN_GRAVEYARD_TRAINER1
	const DAWN_TOWN_GRAVEYARD_TRAINER2
	const DAWN_TOWN_GRAVEYARD_TRAINER3
	const DAWN_TOWN_GRAVEYARD_ITEMBALL1
	const DAWN_TOWN_GRAVEYARD_ITEMBALL2
	const DAWN_TOWN_GRAVEYARD_ITEMBALL3
	const DAWN_TOWN_GRAVEYARD_ITEMBALL4

DawnTownGraveyard_MapScripts:
	db 2 ; scene scripts
	scene_script .DummyScene ; SCENE_DEFAULT
	scene_script .DummyScene ; SCENE_FINISHED

	db 1 ; callbacks
	callback MAPCALLBACK_TILES, .FillTomb

.FillTomb:
	checkevent EVENT_BEAT_GENGAR
	iffalse .Skip
	changeblock 26, 2, $07
.Skip:
	return

.DummyScene:
	end

DawnTownLoadGengarScene:
	setmapscene DAWN_TOWN_CAVE_0F, SCENE_DAWN_TOWN_CAVE_0F_GENGAR_CONFUSE
	end

DawnTownGraveyardSign:
	jumptext DawnTownGraveyardSignText
DawnTownGraveyardSignText:
	text "Graveyard"
	line "Dead people only."
	done

DawnTownGraveyardRocket1Script:
	opentext
	writetext .Text1
	waitbutton
	closetext
	pause 10
	faceplayer
	pause 20
	opentext
	writetext .Text2
	waitbutton
	turnobject DAWN_TOWN_GRAVEYARD_ROCKET1, RIGHT
	closetext
	end
.Text1:
	text "Someone told me"
	line "a new challenger"
	cont "is training at the"
	cont "gym right now!"
	para "I can't wait to"
	line "see this battle!"
	para "They always get"
	line "destroyed, this is"
	cont "hilarious!"
	done
.Text2:
	text "<…>"
	para "You're creepy<…>"
	done

DawnTownGraveyardRocket2Script:
	opentext
	writetext .Text1
	waitbutton
	closetext
	pause 10
	faceplayer
	pause 20
	opentext
	writetext .Text2
	waitbutton
	turnobject DAWN_TOWN_GRAVEYARD_ROCKET2, LEFT
	closetext
	end
.Text1:
	text "I have no idea how"
	line "they find people"
	cont "willing to enter"
	cont "this arena…"
	para "You gotta be crazy"
	line "to fight #MONs"
	cont "with your bare"
	cont "hands!"
	done
.Text2:
	text "<…>"
	para "Are you really"
	line "stalking us?!"
	done

DawnTownGraveyardTrainer1:
	trainer COOLTRAINERM, KENNY, EVENT_BEAT_KENNY, .BeforeBattleText, .AfterBattleText, 0, .Script
	end
.Script:
	endifjustbattled
	opentext
	writetext .OverworldText
	waitbutton
	closetext
	end
.BeforeBattleText:
	text "I'm the king of"
	line "this hill!"
	done
.AfterBattleText:
	text "Can I stay on the"
	line "hill, master?"
	done
.OverworldText:
	text "From here, I can"
	line "see everything up"
	cont "to the graveyard!"
	done

DawnTownGraveyardTrainer2:
	trainer COOLTRAINERF, ARIA, EVENT_BEAT_ARIA, .BeforeBattleText, .AfterBattleText, 0, .Script
	end
.Script:
	endifjustbattled
	opentext
	checkevent EVENT_MEWTWO_RETURNED
	iftrue .bonus
	writetext .OverworldText
	jump .done
.bonus
	writetext .BonusText
.done
	waitbutton
	closetext
	end
.BeforeBattleText:
	text "Stop there!"
	done
.AfterBattleText:
	text "I though you were"
	line "from the Rocket"
	cont "gang, sorry."
	done
.OverworldText:
	text "I'm too weak to"
	line "kick them out of"
	cont "the gym, but they"
	cont "will not take the"
	cont "graveyard!"
	done
.BonusText:
	text "There's always a"
	line "strange atmosphere"
	cont "around here."
	para "But recently, it's"
	line "been so creepy!"
	para "I wonder what's"
	line "going on…?"
	done

DawnTownGraveyardTrainer3:
	trainer GRUNTM, MOE, EVENT_BEAT_MOE, .BeforeBattleText, .AfterBattleText, 0, .Script
	end
.Script:
	endifjustbattled
	opentext
	writetext .OverworldText
	waitbutton
	closetext
	end
.BeforeBattleText:
	text "Gimme your cash!"
	done
.AfterBattleText:
	text "Ok ok, here is my"
	line "money<…>"
	done
.OverworldText:
	text "I have nothing to"
	line "do with your lad"
	cont "being kidnapped!"
	para "Please spare me!"
	line "Don't tell Azmov!"
	done

DawnTownGraveyardItemball1:
	itemball ETHER, 5
	end
DawnTownGraveyardItemball2:
	itemball SACRED_ASH
	end
DawnTownGraveyardItemball3:
	itemball REVIVE
	end
DawnTownGraveyardItemball4:
	itemball FLASHLIGHT
	end

DawnTownGraveyard_MapEvents:
	db 0, 0 ; filler

	db 1 ; warp events
	warp_event 27,  3, DAWN_TOWN_CAVE_0F, 3

	db 2 ; coord events
	coord_event, 26, 3, SCENE_DEFAULT, DawnTownLoadGengarScene
	coord_event, 28, 3, SCENE_DEFAULT, DawnTownLoadGengarScene

	db 1 ; bg events
	bg_event 27, 11, BGEVENT_READ, DawnTownGraveyardSign

	db 9 ; object events
	object_event 23, 10, SPRITE_ROCKET_GIRL, SPRITEMOVEDATA_STANDING_RIGHT, 0, 0, -1, -1, PAL_NPC_RED, OBJECTTYPE_SCRIPT, 0, DawnTownGraveyardRocket1Script, EVENT_BEAT_AZMOV
	object_event 24, 10, SPRITE_ROCKET,      SPRITEMOVEDATA_STANDING_LEFT, 0, 0, -1, -1, PAL_NPC_RED, OBJECTTYPE_SCRIPT, 0, DawnTownGraveyardRocket2Script, EVENT_BEAT_AZMOV
	object_event  5,  6, SPRITE_COOLTRAINER_M, SPRITEMOVEDATA_STANDING_RIGHT, 0, 0, -1, -1, PAL_NPC_BLUE, OBJECTTYPE_TRAINER, 3, DawnTownGraveyardTrainer1, -1
	object_event 18,  9, SPRITE_WHITNEY,      SPRITEMOVEDATA_STANDING_DOWN, 0, 0, -1, -1, PAL_NPC_RED, OBJECTTYPE_TRAINER, 2, DawnTownGraveyardTrainer2, -1
	object_event 11, 11, SPRITE_ROCKET,       SPRITEMOVEDATA_STANDING_LEFT, 0, 0, -1, -1, PAL_NPC_RED, OBJECTTYPE_TRAINER, 4, DawnTownGraveyardTrainer3, EVENT_BEAT_AZMOV
	object_event 13, 14, SPRITE_POKE_BALL, SPRITEMOVEDATA_STILL, 0, 0, -1, -1, 0, OBJECTTYPE_ITEMBALL, 0, DawnTownGraveyardItemball1, EVENT_DAWNTOWN_GRAVEYARD_ETHER
	object_event 31, 13, SPRITE_POKE_BALL, SPRITEMOVEDATA_STILL, 0, 0, -1, -1, 0, OBJECTTYPE_ITEMBALL, 0, DawnTownGraveyardItemball2, EVENT_DAWNTOWN_GRAVEYARD_SACRED_ASH
	object_event 13,  4, SPRITE_POKE_BALL, SPRITEMOVEDATA_STILL, 0, 0, -1, -1, 0, OBJECTTYPE_ITEMBALL, 0, DawnTownGraveyardItemball3, EVENT_DAWNTOWN_GRAVEYARD_REVIVE
	object_event 25,  3, SPRITE_POKE_BALL, SPRITEMOVEDATA_STILL, 0, 0, -1, -1, 0, OBJECTTYPE_ITEMBALL, 0, DawnTownGraveyardItemball4, EVENT_DAWNTOWN_GRAVEYARD_FLASHLIGH
