	const_def 2 ; object constants
	const SKIDRAW_HIKER_WIFE
	const SKIDRAW_HIKER

HikersHouse_MapScripts:
	db 2 ; scene scripts
	scene_script WakeUpKidScene ; SCENE_DEFAULT
	scene_script .DummyScene    ; SCENE_FINISHED

	db 0 ; callbacks

.DummyScene:
	end

WakeUpKidScene:
	faceplayer SKIDRAW_HIKER
	faceplayer SKIDRAW_HIKER_WIFE
	opentext
	writetext .WakeUpKidSceneText1
	waitbutton
	closetext
	follow SKIDRAW_HIKER, SKIDRAW_HIKER_WIFE
	applymovement SKIDRAW_HIKER, .HikerWalkToKid
	turnobject PLAYER, LEFT
	opentext
	turnobject SKIDRAW_HIKER, RIGHT
	writetext .WakeUpKidSceneText2
	waitbutton
	closetext
	applymovement SKIDRAW_HIKER, .WifeWalkToKid
	turnobject SKIDRAW_HIKER, DOWN
	turnobject SKIDRAW_HIKER_WIFE, RIGHT
	opentext
	writetext .WakeUpKidSceneText3
	waitbutton
	closetext
	applymovement SKIDRAW_HIKER, .GoBackToTable
	setscene SCENE_FINISHED
	end

.HikerWalkToKid:
	step RIGHT
	rept 4
		step UP
	endr
	step_end

.WifeWalkToKid:
	step UP
	step_end

.GoBackToTable:
	step LEFT
	rept 5
		step DOWN
	endr
	turn_head UP
	step_end

.WakeUpKidSceneText1:
	text "Ah! You're awake!"
	done

.WakeUpKidSceneText2:
	text "How do you feel?"

	para "We found you in"
	line "the mountains 2"
	cont "days ago."

	para "We couldn't wake"
	line "you up so we took"
	cont "you home."
	done

.WakeUpKidSceneText3:
	text "Going alone in the"
	line "mountain is crazy!"

	para "What were you"
	line "thinking?"

	para "<…>"

	para "Mmmh, I am sorry."
	line "I was scared you"
	cont "wouldn't wake up."

	para "Welcome to our"
	line "modest home."
	done

WifeTalk:
	checkevent EVENT_GOT_STARTER
	iftrue .WifeHeal
	faceplayer SKIDRAW_HIKER_WIFE
	opentext
	writetext .WifeTalkText
	waitbutton
	closetext
	turnobject SKIDRAW_HIKER_WIFE, DOWN
	end

.WifeHeal:
	faceplayer SKIDRAW_HIKER_WIFE
	opentext
	writetext .WifeHealText
	waitbutton
	closetext
	special FadeBlackQuickly
	special ReloadSpritesNoPalettes
	special StubbedTrainerRankings_Healings
	playmusic MUSIC_HEAL
	special HealParty
	pause 60
	special ChangeDayTime
	special FadeInQuickly
	special RestartMapMusic
	opentext
	writetext .WifeTalkText
	waitbutton
	closetext
	end

.WifeHealText:
	text "Oh dear, you are"
	line "so tired!"
	para "You should take"
	line "some rest."
	done

.WifeTalkText:
	text "You look better!"
	para "Come visit us"
	line "again soon!"
	done

HikerTalk:
	faceplayer SKIDRAW_HIKER
	opentext
	checkevent EVENT_GOT_STARTER
	iffalse .HikerMentionMickey
	checkevent EVENT_GOT_MAGIKARP
	iftrue .HikerGiveAdvice
	checkevent EVENT_KILLED_MAGIKARP
	iffalse .HikerGiveMagikarp
	; FALLTHROUGH
.HikerGiveAdvice:
	writetext .HikerAdviceText
	jump .done
.HikerMentionMickey:
	writetext .HikerTalkText
	jump .done

.HikerGiveMagikarp:
	writetext .HikerGiveMagikarpText1
	waitbutton
	refreshscreen
	pokepic MAGIKARP
	cry MAGIKARP
	waitbutton
	closepokepic
	refreshscreen
	checkcode VAR_PARTYCOUNT
	ifequal PARTY_LENGTH, .partyfull
	givepoke MAGIKARP, 30, NUGGET
	setevent EVENT_GOT_MAGIKARP
	writetext .HikerGiveMagikarpText2
	jump .done

.partyfull:
	writetext .AnotherMonText
	jump .done

.done:
	waitbutton
	closetext
	turnobject SKIDRAW_HIKER, UP
	end

.HikerTalkText:
	text "Make sure you talk"
	line "to Mickey."
	para "He can help you"
	line "get back home safe"
	cont "and sound."
	done

.HikerAdviceText:
	text "Stay safe kid."

	para "The world is a"
	line "dangerous place."
	done

.HikerGiveMagikarpText1:
	text "Ah, <PLAYER>!"
	line "We forgot to give"
	cont "you something!"
	done

.HikerGiveMagikarpText2:
	text "We found it in the"
	line "same forest as you"
	cont "the other day."

	para "It will feel much"
	line "better with you!"
	done

.AnotherMonText:
	text "You can't carry"
	line "another #MON…"
	done

HikersHouse_MapEvents:
	db 0, 0 ; filler

	db 2 ; warp events
	warp_event 2, 9, SKIDRAW_CAMP, 2
	warp_event 3, 9, SKIDRAW_CAMP, 2

	db 0 ; coord events

	db 0 ; bg events

	db 2 ; object events
	object_event 3, 5, SPRITE_GRANNY, SPRITEMOVEDATA_STANDING_DOWN, 0, 0, -1, -1, 0, OBJECTTYPE_SCRIPT, 0, WifeTalk, -1
	object_event 3, 6, SPRITE_GRAMPS, SPRITEMOVEDATA_STANDING_UP, 0, 0, -1, -1, 0, OBJECTTYPE_SCRIPT, 0, HikerTalk, -1
