	const_def 2 ; object constants
	const ROUTE3_STORY1
	const ROUTE3_TRAINER1
	const ROUTE3_TRAINER2
	const ROUTE3_TRAINER3
	const ROUTE3_ITEMBALL1
	const ROUTE3_ITEMBALL2
	const ROUTE3_ITEMBALL3

Route3_MapScripts:
	db 0 ; scene scripts
	db 0 ; callbacks

Route3Storyline:
	checkevent EVENT_MEWTWO_RETURNED
	iftrue .bonus
	jumptextfaceplayer .Text
	end
.bonus
	jumptextfaceplayer .BonusText
	end
.Text:
	text "The other night"
	line "I saw two people"
	cont "carrying a third"
	cont "one, tied up."
	para "They were going to"
	line "Dawn Town!"
	done
.BonusText:
	text "Last night, I was"
	line "looking at the sky"
	cont "when I saw a comet"
	cont "passing over the"
	cont "mountains."
	para "At first I though"
	line "it was a #MON…"
	para "But they can't fly"
	line "that fast, right?"
	done

Route3Trainer1:
	trainer PICNICKER, JENA, EVENT_BEAT_JENA, .BeforeBattleText, .AfterBattleText, 0, .Script
.Script:
	endifjustbattled
	opentext
	checkevent EVENT_MEWTWO_RETURNED
	iftrue .bonus
	writetext .OverworldText
	jump .done
.bonus
	writetext .BonusText
.done
	waitbutton
	closetext
	end
.BeforeBattleText:
	text "I'm looking for a"
	line "place for my tent!"
	done
.AfterBattleText:
	text "Maybe I should not"
	line "sleep there after"
	cont "all<…>"
	done
.OverworldText:
	text "I left Dawn Town"
	line "because the Rocket"
	cont "gang took over the"
	cont "Gym."
	para "They bully people"
	line "and steal their"
	cont "#MONs!"
	done
.BonusText:
	text "I can now put my"
	line "tent anywhere I"
	cont "want!"
	done

Route3Trainer2:
	trainer PSYCHIC_T, MARCEL, EVENT_BEAT_MARCEL, .BeforeBattleText, .AfterBattleText, 0, .Script
.Script:
	endifjustbattled
	opentext
	checkevent EVENT_MEWTWO_RETURNED
	iftrue .bonus
	writetext .OverworldText
	jump .done
.bonus
	writetext .BonusText
.done
	waitbutton
	closetext
	end
.BeforeBattleText:
	text "Dad allowed me to"
	line "walk outside."
	para "He says I'm making"
	line "Huge progress!"
	done
.AfterBattleText:
	text "Dad will be very"
	line "disappointed."
	done
.OverworldText:
	text "Please don't tell"
	line "my dad about it or"
	cont "he'll send me back"
	cont "in the dark!"
	done
.BonusText:
	text "Dad left with the"
	line "team Rocket…"
	para "I'm free now!"
	done

Route3Trainer3:
	trainer SCIENTIST, ROMUALD, EVENT_BEAT_ROMUALD, .BeforeBattleText, .AfterBattleText, 0, .Script
.Script:
	endifjustbattled
	opentext
	writetext .OverworldText
	waitbutton
	closetext
	end
.BeforeBattleText:
	text "Did you meet my"
	line "experimen<…>"
	para "<…>my child?"
	done
.AfterBattleText:
	text "So he lost too."
	para "Damn! I'll never"
	line "impress the rocket"
	cont "gang with this!"
	done
.OverworldText:
	text "Don't judge me."
	para "Joining them is"
	line "the only way to"
	cont "not be bothered by"
	cont "the gang!"
	done

Route3Itemball1:
	itemball GOLD_BERRY, 5
	end
Route3Itemball2:
	itemball ESCAPE_ROPE
	end
Route3Itemball3:
	itemball REVIVE, 2
	end

Route3_MapEvents:
	db 0, 0 ; filler
	db 2 ; warp events
	warp_event 0, 22, DAWN_TOWN_FOREST, 1
	warp_event 0, 23, DAWN_TOWN_FOREST, 2
	db 0 ; coord events
	db 0 ; bg events
	db 7 ; object events
	object_event 2, 12, SPRITE_FISHER, SPRITEMOVEDATA_WALK_UP_DOWN, 0, 2, -1, -1, PAL_NPC_BLUE, OBJECTTYPE_SCRIPT, 0, Route3Storyline, -1
	object_event 10,  8, SPRITE_BUG_CATCHER, SPRITEMOVEDATA_STANDING_LEFT, 0, 0, -1, -1, PAL_NPC_GREEN, OBJECTTYPE_TRAINER, 3, Route3Trainer1, -1
	object_event  7, 26, SPRITE_YOUNGSTER, SPRITEMOVEDATA_STANDING_RIGHT, 0, 0, -1, -1, PAL_NPC_RED, OBJECTTYPE_TRAINER, 3, Route3Trainer2, -1
	object_event  7, 27, SPRITE_PHARMACIST, SPRITEMOVEDATA_STANDING_RIGHT, 0, 0, -1, -1, PAL_NPC_BLUE, OBJECTTYPE_TRAINER, 3, Route3Trainer3, EVENT_BEAT_AZMOV
	object_event  2, 32, SPRITE_POKE_BALL, SPRITEMOVEDATA_STILL, 0, 0, -1, -1, 0, OBJECTTYPE_ITEMBALL, 0, Route3Itemball1, EVENT_ROUTE3_GOLD_BERRY
	object_event 11, 24, SPRITE_POKE_BALL, SPRITEMOVEDATA_STILL, 0, 0, -1, -1, 0, OBJECTTYPE_ITEMBALL, 0, Route3Itemball2, EVENT_ROUTE3_ESCAPE_ROPE
	object_event 11, 10, SPRITE_POKE_BALL, SPRITEMOVEDATA_STILL, 0, 0, -1, -1, 0, OBJECTTYPE_ITEMBALL, 0, Route3Itemball3, EVENT_ROUTE3_FULL_RESTORE
