	const_def 2 ; object constants
	const SKIDRAW_GATEKEEPER
	const SKIDRAW_CAMPER

SkidrawCamp_MapScripts:
	db 2 ; scene scripts
	scene_script .DummyScene ; SCENE_DEFAULT
	scene_script .DummyScene ; SCENE_FINISHED

	db 1 ; callbacks
	callback MAPCALLBACK_NEWMAP, .FlyPoint

.DummyScene:
	end

.FlyPoint:
	setflag ENGINE_FLYPOINT_SKIDRAW
	return

GateKeeperTalk:
	checkscene
	iffalse SkidrawTalkToTheMickey ; SCENE_DEFAULT
	faceplayer SKIDRAW_GATEKEEPER
	opentext
	checkevent EVENT_MEWTWO_RETURNED
	iftrue .bonus
	checkevent EVENT_MET_JOSH
	iftrue .HeardRocketTeam
	writetext .SkidrawGatekeeperText
	jump .done
.HeardRocketTeam:
	writetext .HeardRocketTeamText
	jump .done
.bonus:
	writetext .BonusText
	jump .done
.done:
	waitbutton
	closetext
	turnobject SKIDRAW_GATEKEEPER, DOWN
	end

.BonusText:
	text "Team Rocket has"
	line "left Dawn Town!"
	para "I hope they're"
	line "gone for good!"
	done

.HeardRocketTeamText:
	text "I heard two Rocket"
	line "minions talking"
	cont "the other day."
	para "They mentioned a"
	line "new challenger for"
	cont "some kind of fight"
	cont "organized at the"
	cont "gym…"
	para "Maybe that's your"
	line "friend?"
	done

.SkidrawGatekeeperText:
	text "I know a guy in"
	line "Black Pond Creek."
	para "He used to be a"
	line "#MON trainer."
	para "Maybe he can help"
	line "you out or give"
	cont "some good tips?"
	para "His name is Josh."
	done

SkidrawTalkToTheMickey:
	faceplayer SKIDRAW_GATEKEEPER
	opentext
	writetext .SkidrawTalkToTheMickeyText
	waitbutton
	closetext
	turnobject SKIDRAW_GATEKEEPER, DOWN
	end

.SkidrawTalkToTheMickeyText:
	text "You shouldn't go"
	line "out alone!"

	para "Talk to our local"
	line "#MON nerd, he"
	cont "will help you out!"
	done

YouShallNotPass:
	opentext
	writetext .YouShallNotPassText
	waitbutton
	closetext
	applymovement PLAYER, .YouShallNotPassMovement
	end

.YouShallNotPassText:
	text "Geez stop!"

	para "The outside world"
	line "Is dangerous!"

	para "Don't be stupid"
	line "and go out without"
	cont "a #MON!"
	done

.YouShallNotPassMovement:
	step LEFT
	step_end

CamperSearch:
	faceplayer SKIDRAW_CAMPER
	opentext
	writetext .WheresMyTent
	waitbutton
	closetext
	end

.WheresMyTent:
	text "I can't remember"
	line "which one is mine!"
	done

SkidrawCamp_MapEvents:
	db 0, 0 ; filler

	db 3 ; warp events
	warp_event  9,  5, SKIDRAW_CHIEF_HOUSE, 1
	warp_event  9, 15, HIKERS_HOUSE, 2
	warp_event 18,  7, MICKEYS_HOUSE, 2

	db 2 ; coord events
	coord_event 24, 12, SCENE_DEFAULT, YouShallNotPass
	coord_event 24, 13, SCENE_DEFAULT, YouShallNotPass

	db 0 ; bg events

	db 2 ; object events
	object_event 23, 11, SPRITE_COOLTRAINER_M, SPRITEMOVEDATA_STANDING_DOWN, 0, 0, -1, -1, PAL_NPC_BROWN, OBJECTTYPE_SCRIPT, 0, GateKeeperTalk, -1
	object_event 20, 15, SPRITE_BUG_CATCHER, SPRITEMOVEDATA_WALK_LEFT_RIGHT, 3, 0, -1, -1, PAL_NPC_GREEN, OBJECTTYPE_SCRIPT, 0, CamperSearch, -1
