	const_def 2 ; object constants
	const CAMPING_BUGSY
	const CAMPING_CAMPFIRE
	const CAMPING_MAGIKARP

CampingCampfire_MapScripts:
	db 2 ; scene scripts
	scene_script .IntroScene ; SCENE_DEFAULT
	scene_script .DummyScene ; SCENE_FINISHED

	db 0 ; callbacks

.IntroScene:
	priorityjump BugsyBored
	end

.DummyScene:
	end

Intro:
	setscene SCENE_FINISHED
	end

BugsyBored:
	turnobject PLAYER, RIGHT
	opentext
	writetext .BugsyBoredText
	yesorno
	iftrue .AnswerYes
	writetext .AnswerNoText
	jump .done
.AnswerYes:
	writetext .AnswerYesText
.done:
	waitbutton
	closetext
	applymovement CAMPING_BUGSY, .BugsyGoesPissMovement
	disappear CAMPING_BUGSY
	setevent EVENT_BUGSY_SPEECH_OVER
	setscene SCENE_FINISHED
	end

.BugsyBoredText:
	text "What a cool night."
	para "<PLAYER>,"
	line "I'm glad we can"
	cont "finally have some"
	cont "time together…"
	para "… OUTSIDE!"
	para "Look, we spend a"
	line "lot of time home"
	cont "playing video"
	cont "games and eating"
	cont "junk food."
	para "It's a lot of fun,"
	line "but I want more."
	para "There's a whole"
	line "world out there!"
	para "I want to discover"
	line "it, and live a"
	cont "great adventure!"
	para "Will you come with"
	line "me, <PLAYER>?"
	done
.AnswerYesText:
	text "Cool!"
	para "I'll take a piss"
	line "and when I come"
	cont "back, we'll cook"
	cont "this MAGIKARP and"
	cont "decide on what we"
	cont "do next!"
	done
.AnswerNoText:
	text "Oh."
	para "Well, I cannot"
	line "force you into it."
	para "So let's enjoy"
	line "this last moment"
	cont "together!"
	para "I'll take a piss,"
	line "then we'll cook"
	cont "this MAGIKARP!"
	done

.BugsyGoesPissMovement:
	step UP
	rept 6
		step LEFT
	endr
	step_end

CampingMagikarp:
	opentext
	writetext CampingMagikarpText
	waitbutton
	closetext
	end

BurningFire:
	checkevent EVENT_KILLED_MAGIKARP
	iftrue MissMagikarp
	opentext
	writetext FireDescription
	yesorno
	iftrue CookMagikarp
	closetext
	end

CookMagikarp:
	setevent EVENT_KILLED_MAGIKARP
	refreshscreen
	disappear CAMPING_MAGIKARP
	pokepic MAGIKARP
	cry MAGIKARP
	waitbutton
	closepokepic
	opentext
	writetext InstantRegretText
	waitbutton
	closetext
	end

MissMagikarp:
	opentext
	writetext RemorseText
	waitbutton
	closetext
	end
CampingMagikarpText:
	text "MAGIKARP: <…>"
	done

InstantRegretText:
	text "WOUAAAAAH!"
	line "Now, use SPLASH!"

	para "MAGIKARP, SPLASH!"
	para "<…>"
	para "MAGIKAAAAAAAARP!"
	done

RemorseText:
	text "-snif-"

	para "MAGIKARP<…>"
	done
	
FireDescription:
	text "The fire is huge!"

	para "throw in MAGIKARP?"
	done

CampingCampfire_MapEvents:
	db 0, 0 ; filler

	db 2 ; warp events
	warp_event 2, 6, CAMPING_PEEBUSH, 1
	warp_event 2, 7, CAMPING_PEEBUSH, 2

	db 0 ; coord events

	db 0 ; bg events

	db 3 ; object events
	object_event 9, 8, SPRITE_BUGSY, SPRITEMOVEDATA_STANDING_LEFT, 0, 0, -1, -1, PAL_NPC_GREEN, OBJECTTYPE_SCRIPT, 0, 0, EVENT_BUGSY_SPEECH_OVER
	object_event 8, 8, SPRITE_FIRE, SPRITEMOVEDATA_SPINCLOCKWISE, 0, 0, -1, -1, 0, OBJECTTYPE_SCRIPT, 0, BurningFire, -1
	object_event 8, 9, SPRITE_MAGIKARP, SPRITEMOVEDATA_POKEMON, 0, 0, -1, -1, 0, OBJECTTYPE_SCRIPT, 0, CampingMagikarp, EVENT_KILLED_MAGIKARP
