	const_def 2 ; object constants
	const CAMPING_RED
	const CAMPING_ROCKET1
	const CAMPING_ROCKET2
	const CAMPING_ALAKAZAM

CampingPeebush_MapScripts:
	db 2 ; scene scripts
	scene_script .DummyScene0 ; SCENE_CAMPING_NOTHING
	scene_script .DummyScene1 ; SCENE_CAMPING_KIDNAPPING

	db 0 ; callbacks

.DummyScene0:
	end

.DummyScene1:
	end

KidnappingRedSceneUp:
	applymovement PLAYER, .ReachTeamRocketUp
	jump KidnappingRedScene
	end

.ReachTeamRocketUp:
	step LEFT
	step LEFT
	step_end

KidnappingRedSceneDown:
	applymovement PLAYER, .ReachTeamRocketDown
	jump KidnappingRedScene
	end

.ReachTeamRocketDown:
	step UP
	step LEFT
	step LEFT
	step_end

KidnappingRedScene:
	showemote EMOTE_SHOCK, CAMPING_ROCKET1, 15
	showemote EMOTE_SHOCK, CAMPING_ROCKET2, 15
	opentext
	writetext .WhosThatText
	waitbutton
	turnobject CAMPING_ROCKET1, DOWN
	turnobject CAMPING_ROCKET2, UP
	writetext .WitnessText
	waitbutton
	turnobject CAMPING_ROCKET1, RIGHT
	turnobject CAMPING_ROCKET2, RIGHT
	writetext .SendAlakazamText
	waitbutton
	closetext
	jump AlakazamHypnotize
	end

.MoveAlakazam:
	step RIGHT
	step RIGHT
	step RIGHT
	step_end

.WhosThatText:
	text "Azmov: Who's that?"
	done

.WitnessText:
	text "Azmov: You told me"
	line "he was alone!"

	para "Azmov: Now we got"
	line "a witness!"

	para "Scott: Come on…"
	line "It's just a kid!"
	cont "A dead kid is no"
	cont "witness at all."
	done

.SendAlakazamText:
	text "Azmov: -sigh-"
	line "Sorry kiddo…"

	para "Azmov: Alakazam!"
	line "Get the kid down!"
	done

AlakazamHypnotize:
	special FadeBlackQuickly
	moveobject CAMPING_ALAKAZAM, 6, 5
	disappear CAMPING_ALAKAZAM
	appear CAMPING_ALAKAZAM
	turnobject CAMPING_ALAKAZAM, DOWN
	special FadeInQuickly
	opentext
	writetext .AlakazamHypnotizeText
	waitbutton
	rept 4
		special FadeOutPalettes
		special FadeInPalettes
	endr
	jump WakeUpAfterHypnosis
	end

.AlakazamHypnotizeText:
	text "Alakazam: ZAAAM!"
	done

WakeUpAfterHypnosis:
	special FadeBlackQuickly
	special FadeOutMusic
	closetext
	pause 80
	warp HIKERS_HOUSE, 5, 2
	setscene SCENE_CAMPING_NOTHING
	setevent EVENT_TEAM_ROCKET_KIDNAP_RED
	special FadeInQuickly
	end

CampingPeebush_MapEvents:
	db 0, 0 ; filler

	db 2 ; warp events
	warp_event 11, 6, CAMPING_CAMPFIRE, 1
	warp_event 11, 7, CAMPING_CAMPFIRE, 1

	db 2 ; coord events
	coord_event 8, 6, SCENE_DEFAULT, KidnappingRedSceneUp
	coord_event 8, 7, SCENE_DEFAULT, KidnappingRedSceneDown

	db 0 ; bg events

	db 4 ; object events
	object_event 3, 5, SPRITE_BUGSY, SPRITEMOVEDATA_SPINRANDOM_FAST, 0, 0, -1, -1, PAL_NPC_GREEN, OBJECTTYPE_SCRIPT, 0, 0, EVENT_TEAM_ROCKET_KIDNAP_RED
	object_event 4, 5, SPRITE_ROCKET, SPRITEMOVEDATA_STANDING_RIGHT, 0, 0, -1, -1, 0, OBJECTTYPE_SCRIPT, 0, 0, EVENT_TEAM_ROCKET_KIDNAP_RED
	object_event 4, 6, SPRITE_SABRINA, SPRITEMOVEDATA_STANDING_RIGHT, 0, 0, -1, -1, PAL_NPC_RED, OBJECTTYPE_SCRIPT, 0, 0, EVENT_TEAM_ROCKET_KIDNAP_RED
	object_event 3, 7, SPRITE_ALAKAZAM, SPRITEMOVEDATA_STANDING_RIGHT, 0, 0, -1, -1, PAL_NPC_BROWN, OBJECTTYPE_SCRIPT, 0, 0, EVENT_TEAM_ROCKET_KIDNAP_RED
